package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

/**
 * @author salmanoe
 *
 */
public interface PendapatanService {

	Double getPoin(Double jasaDokter, Double tarif, Double total);

	Map<String, Object> getJasaMedisRemun(List<Integer> listDrAnastesi, Integer idJenisPetugasPelaksana,
			Integer idPegawai, Integer idProduk, Integer idKomponenHarga, Double hargaJual, Double hargaDiskon,
			Double count);

	Map<String, Object> getJasaMedisFfs(List<Integer> listDrAnastesi, Integer idJenisPetugasPelaksana,
			Integer idPegawai, Integer idProduk, String namaProduk, Integer idKelompokPasien, Integer idDepartemen,
			Integer idKomponenHarga, Double hargaJual, Double hargaDiskon, Double count);

	List<Map<String, Object>> getFeeForServiceDokter(String periode, Integer idPegawai);

	List<Map<String, Object>> getDetailFeeForServiceDokter(Integer idProduk, Integer idKelas, Integer idKomponenHarga,
			Integer idPegawai, String tgl, Double diskon, Integer statusDiskon);

	List<Map<String, Object>> getCetakLaporanFeeForServiceDokter(String periode, Integer idDepartemen);

	List<Map<String, Object>> getCetakDetailLaporanFeeForServiceDokter(Integer idPegawai, String tgl);

	List<Map<String, Object>> getCetakLaporanPendapatanGroup(String periode, Integer idPegawai, Integer idDepartemen,
			Integer idRuangan, Integer idUnitKerja);

	List<Map<String, Object>> getCetakDetailLaporanPendapatanGroup(String periode, Integer idPegawai,
			Integer idDepartemen, Integer idRuangan, Integer idUnitKerja);

	List<Map<String, Object>> getCetakLaporanRemunerasiGroup(String periode, Integer idPegawai, Integer idDepartemen,
			Integer idRuangan, Integer idUnitKerja);

	List<Map<String, Object>> getCetakDetailLaporanRemunerasiGroup(String periode, Integer idPegawai,
			Integer idDepartemen, Integer idRuangan, Integer idUnitKerja);

	List<Map<String, Object>> getCetakLaporanFeeForServiceGroup(String periode, Integer idPegawai, Integer idDepartemen,
			Integer idRuangan, Integer idUnitKerja);

	List<Map<String, Object>> getCetakDetailLaporanFeeForServiceGroup(String periode, Integer idPegawai,
			Integer idDepartemen, Integer idRuangan, Integer idUnitKerja);

}
